<?xml version="1.0" encoding="ISO-8859-1"?><refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="wathen"><info><pubdate>March 2000  </pubdate></info><refnamediv><refname>wathen</refname><refpurpose>  a random N-by-N finite element matrix  </refpurpose></refnamediv>
  
   
  
   
  
   
  
   
  
   
  
   <refsynopsisdiv><title>Calling Sequence</title><synopsis>[A] = wathen(nx, ny, k)</synopsis></refsynopsisdiv>
  
   <refsection><title>Parameters</title>
 
      <variablelist>
  
         <varlistentry>
  
            <term>nx  </term>
  
            <listitem>
    : number of points in x
  </listitem> 
  
         </varlistentry>
  
         <varlistentry>
  
            <term>ny  </term>
  
            <listitem>
    : number of points in y
  </listitem> 
  
         </varlistentry>
  
         <varlistentry>
  
            <term>k  </term>
  
            <listitem>
    : 0 = normal
  </listitem> 
  
         </varlistentry>
  
         <para>
       1 = (diag(diag(A)) \ A) is returned
  </para>
  
         <varlistentry>
  
            <term>A  </term>
  
            <listitem>
    : the "consistent mass matrix" for a regular NX-by-NY grid of 8-node elements in 2 space dimensions.
  </listitem> 
  
         </varlistentry>
 
      </variablelist>
  
   </refsection>
  
   <refsection><title>Description</title>
  
      <para>
    Makes a random N-by-N finite element matrix where N = 3*NX*NY + 2*NX + 2*NY + 1. A is precisely the "consistent mass matrix" for a regular NX-by-NY grid of 8-node (serendipity) elements in 2 space dimensions. A is symmetric positive definite for any (positive) values of the "density", RHO(NX,NY), which is chosen randomly in this routine. In particular, if D=DIAG(DIAG(A)), then 0.25 &lt;= EIG(INV(D)*A) &lt;= 4.5 for any positive integers NX and NY and any densities RHO(NX,NY). This diagonally scaled matrix is returned by WATHEN(NX,NY,1).
  </para>
  
      <para>
    BEWARE - this is a sparse matrix and it quickly gets large!
  </para>
  
   </refsection>
  
   <refsection><title>Examples</title><programlisting role="example"><![CDATA[
nx=10;ny=10;k=1;
[A] = wathen(nx, ny, k)
 ]]></programlisting></refsection>
  
   <refsection><title>See Also</title><simplelist type="inline">
    
      <member> 
         <link linkend="makefish">makefish</link> 
      </member>     
      <member> 
         <link linkend="lehmer">lehmer</link> 
      </member>     
      <member> 
         <link linkend="matgen">matgen</link> 
      </member>
  
   </simplelist></refsection>

</refentry>